Subject: Re: WARNING: terminal is not fully functional

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Jan 2022 10:44:18 -0800

Jeffrey Walton <[email-masked]> writes:

> On Thu, Jan 27, 2022 at 1:15 AM Junio C Hamano <[email-masked]> wrote:
>>
>> Jeffrey Walton <[email-masked]> writes:
>>
>> > I needed to install Git on Ubuntu 8. Git seems to work Ok for most
>> > task, but this is unusual:
>> >
>> >     $ git diff
>> >     WARNING: terminal is not fully functional
>> >     -  (press RETURN)
>> >
>> > Here's the terminal:
>> >
>> >     $ echo $TERM
>> >     xterm-256color
>> ...
>> Something to try quickly would be:
>>
>> $ export TERM=vt100; less README.md
>>
>> As the termcap/terminfo entry for vt100 is usually more widely
>> available, this may unblock you.
>> 
>> > It seems like loss of colors on an old platform is not that important.
>> > However, the message being printed creates an actionable item that
>> > needs attention. I think no message would be a better option.
>>
>> You would want to redirect it to folks who work on "less" ;-)
>
> Oh, sorry about that.

No need to be sorry for that.

I seem to have these terminfo database entries for terminals whose
name begin with 'x':

    $ /bin/ls /lib/terminfo/x
    xterm
    xterm-256color
    xterm-color
    xterm-debian
    xterm-mono
    xterm-r5
    xterm-r6
    xterm-vt220
    xterm-xfree86

my suspicion is that you are lacking xterm-256color for some reason.
These usually come from ncurses-base package if I am not mistaken.